name: rummy_go
description: A new Flutter project.

publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.0+1

environment:
  sdk: '>=3.0.2 <4.0.0'
  flutter: 3.32.5

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  cupertino_icons: ^1.0.8
  flutter_phoenix: ^1.0.0
  shared_preferences: ^2.5.3
  animation_wrappers: ^3.0.0
  flutter_bloc: ^8.1.6

  dio: ^5.8.0+1
  retrofit: ^4.5.0
  pretty_dio_logger: ^1.1.1
  json_annotation: ^4.5.0
  firebase_core: ^3.15.1
  firebase_auth: ^5.6.2
  firebase_database: ^11.3.9
  firebase_storage: ^12.4.9
  firebase_remote_config: ^5.4.7
  firebase_analytics: ^11.5.2
  device_info_plus: ^11.5.0
  url_launcher: ^6.3.2
  onesignal_flutter: ^5.3.4
  flutter_native_splash: ^2.4.6
  ndialog: ^4.5.0+1
  shimmer: ^3.0.0
  fluttertoast: ^8.2.12
  cached_network_image: ^3.4.1
  country_code_picker: ^3.3.0
  carousel_slider: ^5.1.1
  blur: ^4.0.2
  lottie: ^3.3.1
  circular_countdown_timer: ^0.2.4
  focus_detector_v2: ^3.1.0+1
  image_cropper: ^9.1.0
  file_picker: ^10.2.0
  flutter_inappwebview: ^6.1.5
  share_plus: ^11.0.0
  image_picker: ^1.1.2
  path_provider: ^2.1.5
  buy_this_app:
    path: buythisapp

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^6.0.0
  json_serializable: ^6.1.3
  retrofit_generator: ^9.2.0
  build_runner: ^2.1.7
  flutter_launcher_icons: ^0.12.0
  #flutter_native_splash: ^2.2.4

flutter_native_splash:
  image: assets/app_splash.png
  # background_image: assets/sign_in_head.png
  color: "#0D0000"
  android: true
  ios: true
  android_gravity: center
  ios_content_mode: scaleAspectFill
  
  android_12:
    image: assets/android12splash.png
    color: "#0D0000"
    icon_background_color: "#1a0a00"

flutter_icons:
  android: "ic_launcher"
  ios: true
  image_path: "assets/app_icon.png"

flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/button/
    - assets/icons/
    - assets/social_icons/
    - assets/footer_icons/
    - assets/avatars/
    - assets/cards/
    - assets/wallet/
    - assets/menu_icons/
    - assets/point_levels/
    - assets/table/
    - assets/dealers/
    - assets/home/
    - assets/levels/
    - assets/frames/

  fonts:
    - family: ProductSans
      fonts:
        - asset: assets/fonts/ProductSans-Regular.ttf
        - asset: assets/fonts/ProductSans-Medium.ttf
        - asset: assets/fonts/ProductSans-Bold.ttf